MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025705Community[OCCT] OCCT:Modeling Algorithmspublic2015-01-13 21:292015-05-14 16:28
Reportershoogen 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025705: BRepOffsetAPI_MakeOffset regression in 0025298
DescriptionIf BRepOffsetAPI_MakeOffset is used without an init it creates an open offset wire with the intersection method instead of a closed offset with the arc method.
So the behavior silently changed. I don't need this to be fixed. This ticket is only for informational purpose.
Steps To ReproduceBRepOffsetAPI_MakeOffset mkOffset;
//mkOffset.Init(GeomAbs_Arc);
mkOffset.AddWire(some_closed_wire);
mkOffset.Perform(distance);

No need to add any new case into test grid.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0036021)
shoogen (reporter)
2015-01-13 21:36
edited on: 2015-01-13 21:38

Might be a duplicate of 25704

(0039960)
git (administrator)
2015-04-17 15:30

Branch CR25705 has been created by jgv.

SHA-1: c682d6fd309e80b3284a615b46ee08c5770c7c47


Detailed log of new commits:

Author: jgv
Date: Fri Apr 17 15:30:05 2015 +0300

    0025705: BRepOffsetAPI_MakeOffset regression in 0025298
(0039963)
jgv (developer)
2015-04-17 15:32

Please review the branch CR25705.
(0039993)
msv (developer)
2015-04-17 18:33

Reviewed.
(0040003)
git (administrator)
2015-04-17 19:11

Branch CR25705 has been updated forcibly by mkv.

SHA-1: 69f4fe0d9a7787cadc3034c0d776bda724e95f69
(0040127)
mkv (tester)
2015-04-22 18:41

Dear BugMaster,
Branch CR25705 was rebased on current master of occt git-repository.
(0040128)
mkv (tester)
2015-04-22 18:41

Dear BugMaster,
Branch CR25705 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 69f4fe0d9a7787cadc3034c0d776bda724e95f69

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 95158648 / 94501428 [+0.70%]
Total CPU difference: 52846.75999999937 / 52229.27999999946 [+1.18%]
products component :
Total MEMORY difference: 23714481 / 23685903 [+0.12%]
Total CPU difference: 18003.569999999967 / 17782.939999999973 [+1.24%]

Testing on Windows:
occt component :
Total MEMORY difference: 57152345 / 57163988 [-0.02%]
Total CPU difference: 16082.579892799073 / 16283.181578699077 [-1.23%]
products component :
Total MEMORY difference: 15560450 / 15564896 [-0.03%]
Total CPU difference: 6408.20907799999 / 6585.207812599981 [-2.69%]

There are no differences in images found by testdiff.
(0040985)
git (administrator)
2015-05-14 16:28

Branch CR25705 has been deleted by inv.

SHA-1: 69f4fe0d9a7787cadc3034c0d776bda724e95f69

- Related Changesets
occt: master 75d1222c
Timestamp: 2015-04-17 12:30:05
Author: jgv
Committer: bugmaster
Details ] Diff ]
0025705: BRepOffsetAPI_MakeOffset regression in 0025298
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffset.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-13 21:29 shoogen New Issue
2015-01-13 21:29 shoogen Assigned To => msv
2015-01-13 21:36 shoogen Note Added: 0036021
2015-01-13 21:38 shoogen Note Edited: 0036021 View Revisions
2015-01-14 11:19 msv Assigned To msv => jgv
2015-01-14 11:19 msv Status new => assigned
2015-01-16 08:38 abv Relationship added related to 0025704
2015-01-16 08:39 abv Target Version => 6.9.0
2015-04-17 15:30 git Note Added: 0039960
2015-04-17 15:32 jgv Note Added: 0039963
2015-04-17 15:32 jgv Assigned To jgv => msv
2015-04-17 15:32 jgv Status assigned => resolved
2015-04-17 15:32 jgv Steps to Reproduce Updated View Revisions
2015-04-17 18:33 msv Note Added: 0039993
2015-04-17 18:33 msv Assigned To msv => bugmaster
2015-04-17 18:33 msv Status resolved => reviewed
2015-04-17 19:11 git Note Added: 0040003
2015-04-17 19:11 mkv Assigned To bugmaster => mkv
2015-04-22 18:41 mkv Note Added: 0040127
2015-04-22 18:41 mkv Note Added: 0040128
2015-04-22 18:41 mkv Assigned To mkv => bugmaster
2015-04-22 18:41 mkv Status reviewed => tested
2015-04-22 18:41 mkv Test case number => Not needed
2015-04-25 17:37 bugmaster Changeset attached => occt master 75d1222c
2015-04-25 17:37 bugmaster Status tested => verified
2015-04-25 17:37 bugmaster Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:30 user533 Fixed in Version => 6.9.0
2015-05-14 16:28 git Note Added: 0040985


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker